APICompanies
Get Linear customer options
Returns the Linear customer statuses, tiers, and team members eligible to be a company owner. Sub-fields are null when Linear isn't connected or no team can be resolved. Requires the companies:read scope.
GET
/companies/linear-optionscurl -X GET "https://productlane.com/api/v2/companies/linear-options" \
-H "Authorization: Bearer $PRODUCTLANE_API_KEY"Authorization
AuthorizationstringheaderrequiredBearer authentication header of the form
Bearer <token>, where<token>is your auth token.
Parameters
team_idstringqueryLinear team id to scope
ownersagainst. Falls back to the workspace's default Linear team.
Response
application/json
Successful response
statusesobject[] | nullrequiredtiersobject[] | nullrequiredownersobject[] | nullrequired
{
"statuses": [
{
"id": "string",
"name": "string",
"color": "string"
}
],
"tiers": [
{
"id": "string",
"name": "string"
}
],
"owners": [
{
"id": "string",
"name": "string",
"display_name": "string",
"email": "string",
"avatar_url": "string"
}
]
}